> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove User Permission

> Revoke a single permission from a user, leaving the rest intact.



## OpenAPI

````yaml /openapi-v1.json delete /api/v1/users/{user_id}/permissions/{permission_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/users/{user_id}/permissions/{permission_id}:
    delete:
      tags:
        - Users
      summary: Remove User Permission
      description: Revoke a single permission from a user, leaving the rest intact.
      operationId: core_api_v1_controllers_users_remove_user_permission
      parameters:
        - in: path
          name: user_id
          schema:
            title: User Id
            type: string
          required: true
        - in: path
          name: permission_id
          schema:
            title: Permission Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    UserOut:
      properties:
        object:
          default: user
          title: Object
          type: string
        id:
          title: Id
          type: string
        email:
          title: Email
          type: string
        first_name:
          default: ''
          title: First Name
          type: string
        last_name:
          default: ''
          title: Last Name
          type: string
        is_customer:
          default: true
          title: Is Customer
          type: boolean
        email_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Email Domain
        organization:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Organization
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        permissions:
          anyOf:
            - items:
                $ref: '#/components/schemas/PermissionMini'
              type: array
            - type: 'null'
          title: Permissions
      required:
        - id
        - email
      title: UserOut
      type: object
    PermissionMini:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
      required:
        - id
        - name
      title: PermissionMini
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````